/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface DecimalProps extends PConnFieldProps {
    currencyISOCode?: string;
    decimalPrecision?: number;
    showGroupSeparators?: string;
    formatter?: string;
}
export declare class DecimalComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private cdRef;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: DecimalProps;
    label$: string;
    value$: any;
    bRequired$: boolean;
    bReadonly$: boolean;
    bDisabled$: boolean;
    bVisible$: boolean;
    displayMode$?: string;
    controlName$: string;
    bHasForm$: boolean;
    componentReference: string;
    testId: string;
    helperText: string;
    placeholder: string;
    fieldControl: FormControl<number | null>;
    currDec: string;
    currSep: string;
    currSym: string;
    decimalPrecision: number | undefined;
    formatter: any;
    formattedValue: any;
    inputMode: any;
    constructor(angularPConnect: AngularPConnectService, cdRef: ChangeDetectorRef, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    fieldOnBlur(event: any): void;
    getErrorMessage(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DecimalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DecimalComponent, "app-decimal", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
