/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, NgZone, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../../_bridge/angular-pconnect';
import { ProgressSpinnerService } from '../../../../_messages/progress-spinner.service';
import * as i0 from "@angular/core";
/**
 * WARNING:  It is not expected that this file should be modified.  It is part of infrastructure code that works with
 * Redux and creation/update of Redux containers and PConnect.  Modifying this code could have undesireable results and
 * is totally at your own risk.
 */
interface ViewContainerProps {
    mode?: string;
    name?: string;
    limit?: number;
    template?: string;
    title?: string;
    routingInfo: object;
    readOnly?: boolean;
}
export declare class ViewContainerComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private psService;
    private ngZone;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    displayOnlyFA$: boolean;
    angularPConnectData: AngularPConnectData;
    configProps$: ViewContainerProps;
    arChildren$: any[];
    templateName$: string;
    buildName$: string;
    context$: string;
    title$: string;
    viewPConn$: any;
    isViewContainer$: boolean;
    createdViewPConn$: any;
    state: any;
    dispatchObject: any;
    constructor(angularPConnect: AngularPConnectService, psService: ProgressSpinnerService, ngZone: NgZone);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    prepareDispatchObject(): any;
    buildName(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ViewContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ViewContainerComponent, "app-view-container", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; "displayOnlyFA$": { "alias": "displayOnlyFA$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
