/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, NgZone, OnDestroy } from '@angular/core';
import { MatSnackBar } from '@angular/material/snack-bar';
import { Subscription } from 'rxjs';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { ErrorMessagesService } from '../../../_messages/error-messages.service';
import * as i0 from "@angular/core";
interface IPage {
    classID: string;
    pxPageViewIcon: string;
    pyClassName: string;
    pyLabel: string;
    pyRuleName: string;
    pyURLContent: string;
}
interface AppShellProps {
    pages: IPage[];
    caseTypes?: object[];
    portalLogo: string;
    portalName: string;
    portalTemplate: string;
    readOnly?: boolean;
    showAppHeaderBar: boolean;
    showAppName: boolean;
}
export declare class AppShellComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private erService;
    private snackBar;
    private ngZone;
    pConn$: typeof PConnect;
    angularPConnectData: AngularPConnectData;
    configProps$: AppShellProps;
    pages$: IPage[];
    caseTypes$?: object[];
    arChildren$: any[];
    bShowAppShell$: boolean;
    appName$: string;
    errorMessagesSubscription: Subscription;
    sErrorMessages: string;
    snackBarRef: any;
    bOkDisplayError: boolean;
    portalTemplate: string;
    links: any;
    constructor(angularPConnect: AngularPConnectService, erService: ErrorMessagesService, snackBar: MatSnackBar, ngZone: NgZone);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    showDismissErrorMessages(errorMessages: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppShellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppShellComponent, "app-app-shell", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
