/// <reference types="pcore-pconnect-typedefs" />
import { ChangeDetectorRef, NgZone, OnDestroy, OnInit } from '@angular/core';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { ProgressSpinnerService } from '../../../_messages/progress-spinner.service';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface WssNavBarProps {
    showAppName: boolean;
}
export declare class WssNavBarComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private cdRef;
    private psService;
    private ngZone;
    private utils;
    pConn$: typeof PConnect;
    appName$: string;
    pages$: any[];
    caseTypes$: any[];
    homePage: any;
    angularPConnectData: AngularPConnectData;
    configProps$: WssNavBarProps;
    navPages$: any[];
    navExpandCollapse$: string;
    bShowCaseTypes$: boolean;
    portalApp$: string;
    portalLogoImage$: string;
    showAppName$: boolean;
    portalOperator$: string;
    portalOperatorInitials$: string;
    actionsAPI: any;
    createWork: any;
    showPage: any;
    logout: any;
    navIcon$: string;
    localizedVal: (localeKey: any, localePath: any, localeRuleKey?: string | undefined) => any;
    localeCategory: string;
    constructor(angularPConnect: AngularPConnectService, cdRef: ChangeDetectorRef, psService: ProgressSpinnerService, ngZone: NgZone, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    loadImage(src: string): Promise<unknown>;
    onStateChange(): void;
    updateSelf(): void;
    initComponent(): void;
    navPanelButtonClick(oPageData: any): void;
    navPanelCreateButtonClick(): void;
    navPanelCreateCaseType(sCaseType: string, sFlowType: string): void;
    navPanelLogoutClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WssNavBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WssNavBarComponent, "app-wss-nav-bar", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "appName$": { "alias": "appName$"; "required": false; }; "pages$": { "alias": "pages$"; "required": false; }; "caseTypes$": { "alias": "caseTypes$"; "required": false; }; "homePage": { "alias": "homePage"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
