/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, NgZone, OnDestroy, ElementRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
export declare class AttachmentComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private utils;
    private ngZone;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    fileInput: ElementRef;
    label$: string;
    value$: any;
    bRequired$: boolean;
    bReadonly$: boolean;
    bDisabled$: boolean;
    bVisible$: boolean;
    bLoading$: boolean;
    bShowSelector$: boolean;
    att_categoryName: string;
    fileTemp: any;
    caseID: any;
    allowMultiple$: boolean;
    extensions$: string;
    status: string;
    validateMessage: string | undefined;
    valueRef: string;
    imagePath$: string;
    localizedVal: (localeKey: any, localePath: any, localeRuleKey?: string | undefined) => any;
    localeCategory: string;
    uploadMultipleFilesLabel: any;
    uploadSingleFileLabel: any;
    filesWithError: any;
    files: any;
    categoryName: string;
    displayMode: string | undefined;
    srcImg: any;
    deleteIcon: string;
    tempFilesToBeUploaded: any[];
    constructor(angularPConnect: AngularPConnectService, utils: Utils, ngZone: NgZone);
    ngOnInit(): void;
    getAttachments(): () => void;
    checkAndUpdate(): void;
    onStateChange(): void;
    updateSelf(): void;
    buildFilePropsFromResponse(respObj: any): {
        props: {
            meta: string;
            name: any;
            icon: string;
        };
        responseProps: any;
    };
    updateAttachments(): void;
    resetAttachmentStoredState(): void;
    downloadFile(fileObj: any): void;
    fileDownload: (data: any, fileName: any, ext: any) => void;
    getAttachmentKey: (name?: string) => string;
    getCurrentAttachmentsList(key: any, context: any): any;
    validateMaxSize(fileObj: any, maxSizeInMB: any): boolean;
    validateFileExtension: (fileObj: any, allowedExtensions: any) => any;
    updateAttachmentState(pConn: any, key: any, attachments: any): void;
    deleteFile(file: any): void;
    onFileAdded(event: any): void;
    clearFieldErrorMessages(): void;
    onUploadProgress(): void;
    errorHandler(isFetchCanceled: any, attachedFile: any): (error: any) => never;
    uploadFiles(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AttachmentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AttachmentComponent, "app-attachment", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
